/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-08
 * 描述            ：电子签名配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Bs.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Bs.mapper.PurBsSignatureMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_BS_SIGNATURE", namespace=PurBsSignatureMapper.class)
public class PurBsSignature extends BaseVO implements Serializable {
	 
	/**
	 * 
	 */
	private static final long serialVersionUID = 3366826441448592895L;
	/** 
	 * 电子签名代码
	 */ 
	@Id
	private String signature_code;
	public String getSignature_code() {
		return this.signature_code;
	}
	public void setSignature_code(String signature_code) {
		this.signature_code = signature_code;
	}

	/** 
	 * 电子签名
	 */ 
	@Column
	private String signature_name;
	public String getSignature_name() {
		return this.signature_name;
	}
	public void setSignature_name(String signature_name) {
		this.signature_name = signature_name;
	}

	/** 
	 * 签名文件
	 */ 
	@Column
	private String signatur_doc;
	public String getSignatur_doc() {
		return this.signatur_doc;
	}
	public void setSignatur_doc(String signatur_doc) {
		this.signatur_doc = signatur_doc;
	}

	/** 
	 * 签名文件存储路径
	 */ 
	@Column
	private String signatur_doc_path;
	public String getSignatur_doc_path() {
		return this.signatur_doc_path;
	}
	public void setSignatur_doc_path(String signatur_doc_path) {
		this.signatur_doc_path = signatur_doc_path;
	}

	/** 
	 * 是否有效(1有效、0无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 所属人代码
	 */ 
	@Column
	private String owner_code;
	public String getOwner_code() {
		return this.owner_code;
	}
	public void setOwner_code(String owner_code) {
		this.owner_code = owner_code;
	}

	/** 
	 * 所属人名称
	 */ 
	@Column
	private String owner_name;
	public String getOwner_name() {
		return this.owner_name;
	}
	public void setOwner_name(String owner_name) {
		this.owner_name = owner_name;
	}

	/** 
	 * 科室编码
	 */ 
	@Column
	private String org_id;
	public String getOrg_id() {
		return this.org_id;
	}
	public void setOrg_id(String org_id) {
		this.org_id = org_id;
	}

	/** 
	 * 科室
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
